Bug 237763 - textproc/bat: add bat.1 man file
Summary: textproc/bat: add bat.1 man file
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Luca Pizzamiglio
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-05-06 13:40 UTC by Nuno Teixeira
Modified: 2019-05-11 12:06 UTC (History)
0 users

See Also:
pizzamig: maintainer-feedback+


Attachments
svn diff (497 bytes, patch)
2019-05-06 13:40 UTC, Nuno Teixeira
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nuno Teixeira freebsd_committer 2019-05-06 13:40:37 UTC
Created attachment 204236 [details]
svn diff

Hello,

I found this port because I was looking for projects that use syntect syntax highlight and bat works really great.

I'm working to get syntect highlight working on editors/xi-core via plugin using editors/xi-term frontend to test it.

I found that bat project have an good man page included (mdoc format).

Could you please update port so man page is included?

Thanks,

Nuno Teixeira
Comment 1 Luca Pizzamiglio freebsd_committer 2019-05-10 15:54:00 UTC
thanks, working on it
Comment 2 commit-hook freebsd_committer 2019-05-11 12:04:19 UTC
A commit references this bug:

Author: pizzamig
Date: Sat May 11 12:03:29 UTC 2019
New revision: 501253
URL: https://svnweb.freebsd.org/changeset/ports/501253

Log:
  textproc/bat: Add manpage

  Add manpage and bump PORTREVISION

  PR:		237763
  Submitted by:	Nuno Teixeira

Changes:
  head/textproc/bat/Makefile
Comment 3 Luca Pizzamiglio freebsd_committer 2019-05-11 12:06:20 UTC
Committed, thanks!

I had to bump the PORTREVISION (the final package changed), but it's fine. Thanks again